#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;
const int MAX_A = int(1e9);
int max_a = MAX_A;

int gen_unique(set<int> &used) {
    int x;
    do {
        x = rnd.next(0, max_a);
    } while (x == 0 || used.find(x) != used.end());
    used.insert(x);
    return x;
}

// argv:
// . . n m
int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);

    int n = opt<int>("n");
    int m = opt<int>("m");
    if (has_opt("a")) {
        max_a = opt<int>("a");
    }
    
    println(n);
    vector<int> cows (n);
    for (int i = 0; i < n; i++) {
        cows[i] = rnd.next(1, max_a);
    }
    println(cows);
    println(m);
    set<int> xs;
    set<int> ts;
    for (int i = 0; i < m; i++) {
        int x = gen_unique(xs);
        int t = gen_unique(ts);
        cout << t << ' ' << x << '\n';
    }
}