//
// Created by Daniil Golov on 20.11.2024.
//
#include "testlib.h"

using namespace std;
const int MAX_N = 100'000;
const int MAX_X = 1'000'000'000;

int main(int argc, char *argv[]) {
    registerValidation(argc, argv);

    int n = inf.readInt(1, MAX_N, "n");
    inf.readEoln();
    vector<int> cows = inf.readIntegers(n, 0, MAX_X, "c_i");
    inf.readEoln();
    int m = inf.readInt(1, MAX_N, "m");
    inf.readEoln();
    vector<int> trs (m), coords (m);

    for (int i = 0; i < m; i++) {
        trs[i] = inf.readInt(1, MAX_X, "t_i");
        inf.readSpace();
        coords[i] = inf.readInt(0, MAX_X, "g_i-x");
        inf.readEoln();
    }

    ensuref(set<int>(trs.begin(), trs.end()).size() == m, "tastes equal");
    ensuref(set<int>(coords.begin(), coords.end()).size() == m, "grass coords equal");
    inf.readEof();
}