#include "testlib.h"
#include "bits/stdc++.h"

using namespace std;

int n;
string s;

int check(InStream &in) {
    int k = in.readInt(0, n, "k");
    string s2 = in.readToken(format("[a-z]{%d}", n), "s'");

    for (int i = 0; i + 1 < n; ++i) {
        in.ensuref(s2[i] != s2[i + 1], "has even length palindrome");
    }
    for (int i = 0; i + 2 < n; ++i) {
        in.ensuref(s2[i] != s2[i + 2], "has odd length palindrome");
    }
    int cnt = 0;
    for (int i = 0; i < n; i++) {
        if (s[i] != s2[i]) cnt++;
    }
    in.ensuref(cnt == k, "count doesn't match");

    return k;
}

int main(int argc, char* argv[]) {
    registerTestlibCmd(argc, argv);

    n = inf.readInt();
    s = inf.readToken();

    int ja = check(ans), pa = check(ouf);
    if (ja < pa) quitf(_wa, "incorrect answer, expected: %d, get: %d", ja, pa);
    if (ja > pa) quitf(_fail, "participant has a better answer: %d against %d", pa, ja);

    quitf(_ok, "ok");
}
