#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

bool median_is_int(vector<int> &sa) {
    return sa.size() % 2 == 1 || (sa[sa.size() / 2] + sa[sa.size() / 2 - 1]) % 2 == 0;
}

void print_even_len(vector<int> &sa) {
    vector<int> result;
    for (int i = 0, j = sa.size() - 1; i < j; i++, j--) {
        result.push_back(sa[i]);
        result.push_back(sa[j]);
    }
    reverse(result.begin(), result.end());
    for (int i: result) {
        cout << i << ' ';
    }
}

int main() {
    int n;
    cin >> n;
    vector<int> a (n);
    for (int i = 0; i < n; i++) {
        cin >> a[i];
    }
    if (n == 1) {
        cout << a[0] << '\n';
        return 0;
    }

    sort(a.begin(), a.end());
    if (n % 2 == 0) {
        if (!median_is_int(a)) {
            cout << "-1\n";
            return 0;
        }
        print_even_len(a);
    } else {
        int x = a[n / 2 - 1];
        int y = a[n / 2];
        int z = a[n / 2 + 1];

        int last = -1;
        if ((x + z) % 2 == 0) {
            last = y;
            a.erase(a.begin() + n / 2);
        } else if ((y + z) % 2 == 0) {
            last = x;
            a.erase(a.begin() + n / 2 - 1);
        } else {
            last = z;
            a.erase(a.begin() + n / 2 + 1);
        }
        print_even_len(a);
        cout << last << '\n';
    }
}