#include <bits/stdc++.h>

#define sz(x) ((int) (x).size())
#define all(v) (v).begin(), (v).end()
#define fi first
#define se second

using namespace std;

using ll = long long;
using ld = long double;
using ii = pair<int, int>;
using vi = vector<int>;

const int N = 72, mod = 1e9 + 7;
int n, K, ways[N][N][N], gt[N], igt[N], pw2[N], a[N], rt[N];
vi posr, posb;
string s;
int ans = 1;

int frt(int i) {
    return rt[i] == i ? i : rt[i] = frt(rt[i]);
}

void brute(int pos, int mnsum, int num, int lst) {
    if (mnsum + num - 1 > n) {
        return;
    }
    if (pos > 0) {
        int num1 = 0;
        int per = gt[pos];
        for (int l = 0, r = 0; l < pos; l = r) {
            while (r < pos && a[r] == a[l]) {
                r++;
            }
            if (a[l] == 1) {
                num1 = r - l;
            }
            per = per * 1LL * igt[r - l] % mod;
        }
        vi pr = posr, pb = posb;
        vi bb;
        for (int i = 0; i <= K; ++i) {
            rt[i] = i;
        }
        for (int i = pos - 1; i >= num1; --i) {
            if (pr.empty()) {
                return;
            }
            int r = pr.back();
            pr.pop_back();
            while (!pb.empty() && pb.back() < r) {
                pb.pop_back();
            }
            if (pb.empty()) {
                return;
            }
            int b = pb.back();
            pb.pop_back();
            rt[r] = r + 1;
            rt[b] = b + 1;
            bb.push_back(b);
        }
        pb = posb;
        reverse(all(pb));
        for (int i = num1; i < pos; ++i) {
            int rem = a[i] - 2;
            assert(rem >= 0);
            int p = bb.back();
            bb.pop_back();
            int oldPos = p;
            for (int j = 0; j < rem; ++j) {
                while (!pb.empty() && rt[pb.back()] != pb.back()) {
                    pb.pop_back();
                }
                if (!pb.empty() && pb.back() > oldPos) {
                    p = pb.back();
                    pb.pop_back();
                    rt[p] = p + 1;
                    p++;
                } else {
                    p = frt(oldPos);
                    if (p == K) {
                        return;
                    }
                    rt[p] = p + 1;
                }
            }
        }
        for (int i = 0; i < num1; ++i) {
            while (true) {
                int p = frt(0);
                if (p == K) {
                    return;
                }
                rt[p] = p + 1;
                if (s[p] == 'r') {
                    break;
                }
            }
        }

        int m = n - mnsum - (num - 1);
        ans = (ans + per * 1LL * ways[m][num1][mnsum]) % mod;
    }
    for (int i = lst; i <= max(n, 2); ++i) {
        int mn = max(1, (i - 2) * 2 + 1);
        if (mn + mnsum + num <= n) {
            a[pos] = i;
            brute(pos + 1, mnsum + mn, num + 1, i);
        } else {
            break;
        }
    }
}

int power(int x, int y) {
    int res = 1;
    while (y) {
        if (y & 1) {
            res = res * 1LL * x % mod;
        }
        x = x * 1LL * x % mod;
        y >>= 1;
    }
    return res;
}

int C(int i, int j) {
    if (i > j) {
        return 0;
    }
    return gt[j] * 1LL * igt[j - i] % mod * igt[i] % mod;
}

int main() {
    cin.tie(0)->sync_with_stdio(0);
    cin >> n >> K >> s;
    gt[0] = 1;
    pw2[0] = 1;
    for (int i = 1; i <= n + 1; ++i) {
        gt[i] = gt[i - 1] * 1LL * i % mod;
        pw2[i] = pw2[i - 1] * 2LL % mod;
    }
    igt[n + 1] = power(gt[n + 1], mod - 2);
    for (int i = n; i >= 0; --i) {
        igt[i] = igt[i + 1] * 1LL * (i + 1) % mod;
    }
    for (int m = 0; m <= n; ++m) {
        for (int num1 = 0; num1 + m <= n; ++num1) {
            for (int x = num1; x + m <= n; ++x) {
                int num = n - m + 1 - x - num1;
                if (num < 0) {
                    continue;
                }
                for (int i = 0; i <= num; ++i) {
                    for (int j = 0; j <= num - i; ++j) {
                        if (i + 2 * j <= m) {
                            ways[m][num1][x] = (ways[m][num1][x] + C(i, num) * 1LL * C(j, num - i) % mod * pw2[i] % mod * C(n - m + 1 + i + 2 * j, n + 1)) % mod;
                        }
                    }
                }
            }
        }
    }
    for (int i = 0; i < K; ++i) {
        if (s[i] == 'r') {
            posr.push_back(i);
        } else {
            posb.push_back(i);
        }
    }
    reverse(all(posr));
    reverse(all(posb));
    brute(0, 0, 0, 1);
    cout << ans;
    return 0;
}
