#include <bits/stdc++.h>

using namespace std;
#define int long long
const int INF = 1e15 + 5;

struct cow {
    int x;
    int index;
};

struct node {
    int left;
    int right;
    int add;
    cow minCow;
    cow maxCow;
};

struct grass {
    int taste;
    int x;
    int index;
};

bool operator<(const grass &a, const grass &b) {
    return a.taste < b.taste;
}

bool operator<(const cow &a, const cow &b) {
    return a.x < b.x || (a.x == b.x && a.index < b.index);
}

vector<cow> cows;

signed main() {
    int n, m;

    cin >> n;
    cows.resize(n);
    for (int i = 0; i < n; i++) {
        cin >> cows[i].x;
        cows[i].index = i;
    }

    cin >> m;
    vector<grass> g (m);
    for (int i = 0; i < m; i++) {
        cin >> g[i].taste >> g[i].x;
        g[i].index = i;
    }

    sort(g.begin(), g.end());
    reverse(g.begin(), g.end());
    vector<int> ans (m);

    for (const auto &[t, x, i]: g) {
        int cans = -1;
        int cdist = INF;
        for (int j = 0; j < n; j++) {
            if (abs(x - cows[j].x) < cdist) {
                cdist = abs(x - cows[j].x);
                cans = cows[j].index;
            }
        }

        ans[i] = cans;
        for (int j = 0; j < n; j++) {
            if (cows[j].x < x) {
                cows[j].x += cdist;
            } else {
                cows[j].x -= cdist;
            }
        }
    }

    for (int i: ans) {
        cout << i + 1 << '\n';
    }
}