#include <iostream>
#include <vector>

using namespace std;

struct event {
    int i, d;
};

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    int n;
    cin >> n;

    vector<int> a(n);
    long long total = 0;
    int mn = n + 1;
    for (int &ai : a) {
        cin >> ai;
        total += ai;
        mn = min(mn, ai);
    }

    int B = 1500, res = 1;
    long long ans = 0;
    for (int i = 2; i < min(B, mn + 1); i++) {
        long long tmp = 0;
        for (int aj : a) {
            tmp += aj % i;
        }
        if (tmp > ans) {
            ans = tmp;
            res = i;
        }
    }

    vector<int> d(n);
    vector<vector<event>> events(mn + 1);
    int t = B;
    long long dsum = 0;
    for (int i = 0; i < n; i++) {
        d[i] = a[i] / t;
        dsum += d[i];

        int rem = a[i] - d[i] * t, old_t = t, old_d = d[i];
        while (old_d > 0) {
            old_t += rem / old_d + 1;
            old_d = a[i] / old_t;
            rem = a[i] - old_d * old_t;
            if (old_t <= mn) {
                events[old_t].push_back(event{i, old_d});
            }
        }
    }
    
    for (; t <= mn; t++) {
        for (auto const &e: events[t]) {
            dsum -= d[e.i];
            d[e.i] = e.d;
            dsum += d[e.i];
        }
        if (total - dsum * t > ans) {
            ans = total - dsum * t;
            res = t;
        }
    }

    cout << ans << '\n';

}