// #define _GLIBCXX_DEBUG
#include <bits/stdc++.h>
 
using namespace std;
 
#pragma GCC optimize("unroll-loops")
#pragma GCC optimize("Ofast")
#pragma GCC optimize("no-stack-protector")
#pragma GCC target("sse,sse2,sse3,ssse3,popcnt,abm,mmx,tune=native")
#pragma GCC optimize("fast-math")
#pragma GCC optimize "-O3"
 
 
typedef long long int ll;
typedef unsigned long long ull;
typedef long double ld;
 
#define P pair
typedef P<int, int> Pii;
typedef P<ll, ll> Pll;
typedef P<string, string> Pss;
 
#define all(a) (a).begin(), (a).end()
#define rall(a) (a).rbegin(), (a).rend()
 
 
#define add_fill(a, c) setw(a) << setfill(c)
#define endl '\n'
 
#define slimming(a) a.shrink_to_fit()
#define len(a) (ll)a.size()
 
#define f first
#define s second
 
const ll INF = (ll) (1e17);
const ll MOD = 1000'000'007;
const ll MAXN = 200010;
 
#define yes "YES\n"
#define no "NO\n"
#define imp "impossible\n"
 
#define pb push_back
#define eb emplace_back
 
const int alpha = 256;
const char FirstSymbol = 'a';
 
bool bit(ll mask, ll k){
    return ((mask >> k)&1);
}
 
// mt19937 gen;
// uniform_int_distribution<ll> uid(0, 2000000000000000000);
ll get_rand() {
    // return uid(gen);
    return (rand()<<16)^rand();
}
 
// ll dp[200001][101];
 
// ll GetComb(ll n, ll k){
//     if(n < k) return 0LL;
//     if(n == k) return 1;
//     if(k == 0) return 1;
//     if(dp[n][k] != 0) return dp[n][k];
//     dp[n][k] = (GetComb(n-1, k-1) + GetComb(n-1, k) + MOD) % MOD;
//     return dp[n][k];
// }
 
struct DSU
{
    vector<int> parent, right, sz;
    DSU(int n){
        parent.assign(n, -1);
        right.assign(n, -1);
        sz.assign(n, 1);
        for(int i = 0; i < n; ++i){
            parent[i] = i;
            right[i] = i;
        }
    }
 
    int get(int v){
        if(parent[v] == v)
            return v;
        return parent[v] = get(parent[v]);
    }
 
    void unite(int x, int y){
        x = get(x);
        y = get(y);
 
        if(sz[y] < sz[x])
            swap(x, y);
        
        sz[y] += sz[x];
        parent[x] = y;
        right[y] = right[x] = max(right[x], right[y]);
    }
};
 
void solve(){
    int n, q;
    cin >> n >> q;
 
    DSU dsu(n);
 
    vector<vector<ll>> a(q);
    for(int i = 0; i < q; ++i){
        ll l, r, c;
        cin >> l >> r >> c;
        --l, --r;
 
        a[i] = {c, l, r};
    }
    sort(all(a));
 
    ll ans = 0;
    for(auto to : a){
        ll l, r, c;
        c = to[0];
        l = to[1];
        r = to[2];
 
        while(l <= r){
            assert(0 <= dsu.get(l) && dsu.get(l) < n);
            l = dsu.right[dsu.get(l)];
            if(l + 1 <= r){
                ans += c;
                dsu.unite(l, l + 1);
            }
            l += 1;
        }
 
        ans += c;
    }
 
 
 
    set<int> lead;
    for(int i = 0; i < n; ++i){
        lead.insert(dsu.get(i));
    }
    if(lead.size() == 1)
        cout << ans;
    else
        cout << -1;
    return;
}
 
int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
 
    int t = 1;
    // cin >> t;
    while(t--){
        solve();
        // cout << "\n";
    }
    return 0;
}
