#include "testlib.h"
#include "string"
#include "iostream"

using namespace std;

int main(int argc, char *argv[]) {
    registerValidation(argc, argv);
    int testCount = inf.readInt(1, 5000, "~testCount");
    inf.readEoln();

    int maxN = 1'000'000'000;

    for (int t = 0; t < testCount; t++) {
        setTestCase(t + 1);
        int n = inf.readInt(1, maxN, "~n");
        inf.readSpace();
        int m = inf.readInt(1, maxN, "~m");
        inf.readEoln();
        ensure(n > 1 || m > 1);
        int x[2], y[2];
        for (int i = 0; i < 2; i++) {
            x[i] = inf.readInt(1, n, "x_i");
            inf.readSpace();
            y[i] = inf.readInt(1, m, "y_i");
            inf.readSpace();
            string c = inf.readWord("B|R", "c_i");
            inf.readEoln();
        }
        ensure(x[0] != x[1] || y[0] != y[1]);
    }
    inf.readEof();
}
